// Java

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Writer;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.Queue;
import java.util.Scanner;

public class magic {
	public int v;
	public ArrayList<ArrayList<Integer>> adj = new ArrayList<>();
	
	public magic(int v){
		this.v = v;
		for (int i = 0; i < v; i++) {
			adj.add(new ArrayList<Integer>());
		}
	}
	
	public void addAdj(int v, int w){
		adj.get(v).add(w);
		adj.get(w).add(v);
	}
	
	public boolean isReachable(int s, int d){
		boolean[] checked = new boolean[v];
		checked[s] = true;
		
		Queue<Integer> q = new LinkedList<Integer>();
		q.add(s);
		
		while(!q.isEmpty()){
			s = q.poll();
			
			ArrayList<Integer> list = adj.get(s);
			for (int i = 0; i < list.size(); i++) {
				int n = list.get(i);
				if(n == d){
					return true;
				}
				if(checked[n] == false){
					checked[n] = true;
					q.add(n);
				}
			}
		}
		
		return false;
	}
	
	public static void main(String[] args) {
		
		File fileIn = new File("magic.in");
		File fileOut = new File("magic.out");
		
		ArrayList<Integer> mainList = new ArrayList<>();
		ArrayList<Integer> secList = new ArrayList<>();
		
		try {
			Scanner sc = new Scanner(fileIn);
			while(sc.hasNextInt()){
				mainList.add(sc.nextInt());
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
		magic mag = new magic((mainList.get(0) + 1)*2);
		
		for (int i = 1; i < (mainList.get(0) + 1) * 2 + 1; i++) {
			secList.add(mainList.get(i) - 1);
		}
		
		for (int i = 0; i < secList.size(); i=i+2) {
			mag.addAdj(secList.get(i), secList.get(i+1));
		}
		
		
		int n = 0, count1 = 0, count2 = 0, ac = 0;
		for (int i = 0; i < mag.adj.size(); i++) {
			for (int j = i+1; j < mag.adj.size(); j++) {
				if(mag.isReachable(i, j) == false){
					for (int j2 = 0; j2 < mag.adj.size(); j2++) {
						if(mag.isReachable(i, j2) == false){
							count1++;
						}
					}
					for (int j2 = 0; j2 < mag.adj.size(); j2++) {
						if(mag.isReachable(j, j2) == false){
							count2++;
						}
					}
					if(count1 == mag.adj.size() - 2){
						n = i;
						ac = 1;
					} else if(count2 == mag.adj.size() - 2){
						n = j;
						ac = 1;
					}
					break;
				}
			}
			if(ac == 1){
				break;
			}
		}
		
		int ans = 1;
		for (int i = 0; i < secList.size(); i++) {
			if(secList.get(i) == n){
				if(i%2 == 0){
				ans = i/2 + 1;
				} else{
				ans = (int) i/2 + 1;
				}
			}
		}
		
		try {
			Writer wr = new FileWriter(fileOut);
			wr.write(String.valueOf(ans));
			wr.write("\r\n");
			
			wr.flush();
			wr.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
		
	}
}
