#include <iostream>
#include <cstdio>
#include <algorithm>

using namespace std;

const int mod = 1e9+7;

long long pow2(int k)
{
    long long res = 1;
    while (k > 0){
        --k;
        res = (res*2) % mod;
    }
    return res;
}



long long fT(int N, int C)
{
    if (C >= N) return pow2(N);
    long long res = 0;
    res = (res + fT(N-1, C))%mod;
    for (int i = 2; i <= C+1; ++i){
        res = (res + fT(N-i, C))%mod;
    }
    return res;
}

long long Fib(long long n)
{
    if (n == 0) return 0;
    if ((n == 1) || (n == 2) ) return 1;
    if (n == 3) return 2;
    if (n % 2 == 0){
        long long a = Fib(n/2), b = Fib(n/2-1);
        return (a*((a+2*b)%mod))%mod;
    }
    if (n%2 == 1){
        long long a = Fib(n/2)+1, b = Fib(n/2);
        return ((a*a)%mod + (b*b)%mod)%mod;
    }
}

int main()
{
    cin.tie(0);
    cout.tie(0);
    ios::sync_with_stdio();
    freopen("radioactive.in", "r", stdin);
    freopen("radioactive.out", "w", stdout);
    long long N, C;
    cin >> N >> C;
    cout << fT(N, C);
    return 0;
}
